PSP Exploit discovered from 2.0 firmware to 2.80

Though the number of homebrew programs lately isn’t as big as when the first exploits were discovered, it’s still exciting to see that users will no longer require GTA in order to run homebrew programs.

This exploit takes advantage of an image format exploit (yet again) and has the ability to run unsigned code on any PSP with firmwares from 2.0 to 2.8. There are no homebrew loaders yet, but I reckon it shouldn’t be too long before one emerges. Either that, or a new downgrader, but I’d prefer the first.

The image below consists of the PSP firmware family loading the new “Hello World!” program.

Have something to tell us about this article?
Let us know

or Comment Below

LOGIN to Comment
LOGIN to Comment

Gaming Trailers

More Like This
Soul Hackers 2 | Announcement Trailer
Latest Trailers
JoJo's Bizarre Adventure: All-Star Battle R | "Eat Your Heart Out" Trailer

Got a tip?

Let us know